
Ruby - Bug #4613

define_method lacks trace events 

04/26/2011 08:28 AM - rogerdpack (Roger Pack)

Status: Closed   

Priority: Normal   

Assignee: ko1 (Koichi Sasada)   

Target version: 1.9.3   

ruby -v: - Backport:  

Description

=begin

With this code:

class Example

define_method "test" do

3

end

end

ex = Example.new

100.times {

ex.test

}

1.8.7 prints out the "test" method entrance and exits [1], but 1.9.{2,3} do not print either of them.

[2] has a potential patch to help resolve it.

It may also be related to [3]

[1] https://gist.github.com/896741

[2] https://github.com/rdp/ruby-prof/issues#issue/48

[3] http://redmine.ruby-lang.org/issues/3660

Cheers!

-r

=end

History

#1 - 06/10/2011 10:49 PM - ko1 (Koichi Sasada)

- Assignee set to ko1 (Koichi Sasada)

#2 - 06/10/2011 10:53 PM - ko1 (Koichi Sasada)

- ruby -v changed from  ruby 1.9.3dev (2011-03-18 trunk 31122) [i386-mingw32] to -

Hi,

I'll check your patch and commit it.  Thank you.

(2011/04/26 8:29), Roger Pack wrote:

Issue #4613 has been reported by Roger Pack.
ruby -v:  ruby 1.9.3dev (2011-03-18 trunk 31122) [i386-mingw32]

With this code:

class Example

define_method "test" do

3

end

end

ex = Example.new

100.times {

ex.test

}

1.8.7 prints out the "test" method entrance and exits [1], but 1.9.{2,3} do not print either of them.

[2] has a potential patch to help resolve it.

It may also be related to [3]

[1] https://gist.github.com/896741

[2] https://github.com/rdp/ruby-prof/issues#issue/48

[3] http://redmine.ruby-lang.org/issues/3660

Cheers!

-r

 --

// SASADA Koichi at atdot dot net

#3 - 06/26/2011 07:05 PM - nahi (Hiroshi Nakamura)

- Status changed from Open to Assigned

- Target version set to 1.9.3

Please close it.

#4 - 06/30/2011 10:38 PM - ko1 (Koichi Sasada)

- Status changed from Assigned to Closed

Fixed by r32335.
